# Update

Launch stage: Public Preview

`PUT /api/2.0/marketplace-exchange/exchanges/{id}`

Update an exchange

API scopes: marketplace

## Path parameters

- `id` (string, optional)

## Request body

- `exchange` (object, optional)
  - `id` (string, optional)
  - `name` (string, optional)
  - `comment` (string, optional)
  - `filters` (array of object, optional)
    - `id` (string, optional)
    - `exchange_id` (string, optional)
    - `filter_value` (string, optional)
    - `name` (string, optional)
    - `created_at` (int64, optional)
    - `created_by` (string, optional)
    - `updated_at` (int64, optional)
    - `updated_by` (string, optional)
    - `filter_type` (string, optional)
      Possible values: `GLOBAL_METASTORE_ID`
  - `created_at` (int64, optional)
  - `created_by` (string, optional)
  - `updated_at` (int64, optional)
  - `updated_by` (string, optional)
  - `linked_listings` (array of object, optional)
    - `id` (string, optional)
    - `exchange_id` (string, optional)
    - `exchange_name` (string, optional)
    - `listing_id` (string, optional)
    - `listing_name` (string, optional)
    - `created_at` (int64, optional)
    - `created_by` (string, optional)

## Returns

- `exchange` (object, optional)
  - `id` (string, optional)
  - `name` (string, optional)
  - `comment` (string, optional)
  - `filters` (array of object, optional)
    - `id` (string, optional)
    - `exchange_id` (string, optional)
    - `filter_value` (string, optional)
    - `name` (string, optional)
    - `created_at` (int64, optional)
    - `created_by` (string, optional)
    - `updated_at` (int64, optional)
    - `updated_by` (string, optional)
    - `filter_type` (string, optional)
      Possible values: `GLOBAL_METASTORE_ID`
  - `created_at` (int64, optional)
  - `created_by` (string, optional)
  - `updated_at` (int64, optional)
  - `updated_by` (string, optional)
  - `linked_listings` (array of object, optional)
    - `id` (string, optional)
    - `exchange_id` (string, optional)
    - `exchange_name` (string, optional)
    - `listing_id` (string, optional)
    - `listing_name` (string, optional)
    - `created_at` (int64, optional)
    - `created_by` (string, optional)

## Response

```json
{
  "exchange": {
    "id": "string",
    "name": "string",
    "comment": "string",
    "filters": [
      {}
    ],
    "created_at": 0,
    "created_by": "string",
    "updated_at": 0,
    "updated_by": "string",
    "linked_listings": [
      {}
    ]
  }
}
```

